Package ghidra.program.database.data

# Class DataTypeArchiveTransformer

java.lang.Object
ghidra.program.database.data.DataTypeArchiveTransformer

All Implemented Interfaces:
  `GhidraLaunchable`

public class DataTypeArchiveTransformer extends Object implements GhidraLaunchable
DataTypeArchiveTransformer changes (transforms) a new archive file so that it appears to be an updated copy of a previously existing data type archive. This allows us to parse a new version of each standard GDT file we supply. This class changes the IDs on the data types so they will match the previous version's IDs. This allows the new data type archive and its data types to become the associated data types where the previous version data types were applied.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataTypeArchiveTransformer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `fixupGUI()`
  `void`
  `launch(GhidraApplicationLayout layout, String[] args)`
  Launches the launchable.
  `static void`
  `transform(File oldFile, File newFile, File destinationFile, boolean useOldFileID, TaskMonitor monitor)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataTypeArchiveTransformer

    public DataTypeArchiveTransformer()

- ## Method Details

  - ### transform

    public static void transform(File oldFile, File newFile, File destinationFile, boolean useOldFileID, TaskMonitor monitor) throws InvalidInputException, DuplicateFileException, IOException, CancelledException
    Throws:
      `InvalidInputException`
      `DuplicateFileException`
      `IOException`
      `CancelledException`

  - ### launch

    public void launch(GhidraApplicationLayout layout, String[] args)
    Description copied from interface: `GhidraLaunchable`
    Launches the launchable.
    Specified by:
      `launch` in interface `GhidraLaunchable`
    Parameters:
      `layout` - The application layout to use for the launch.
      `args` - The arguments passed through by the `GhidraLauncher`.

  - ### fixupGUI

    public static void fixupGUI()